weka.core.pmml.jaxbbindings

## Class GaussianDistribution

- java.lang.Object
- - weka.core.pmml.jaxbbindings.GaussianDistribution

-     public class GaussianDistribution
      extends java.lang.Object

  Java class for GaussianDistribution element declaration.

  The following schema fragment specifies the expected content contained within this class.

       <element name="GaussianDistribution">
         <complexType>
           <complexContent>
             <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
               <sequence>
                 <element ref="{http://www.dmg.org/PMML-4_1}Extension" maxOccurs="unbounded" minOccurs="0"/>
               </sequence>
               <attribute name="mean" use="required" type="{http://www.dmg.org/PMML-4_1}REAL-NUMBER" />
               <attribute name="variance" use="required" type="{http://www.dmg.org/PMML-4_1}REAL-NUMBER" />
             </restriction>
           </complexContent>
         </complexType>
       </element>

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `GaussianDistribution()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.List<Extension>` | `getExtension()` Gets the value of the extension property.
    `double` | `getMean()` Gets the value of the mean property.
    `double` | `getVariance()` Gets the value of the variance property.
    `void` | `setMean(double value)` Sets the value of the mean property.
    `void` | `setVariance(double value)` Sets the value of the variance property.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### GaussianDistribution

          public GaussianDistribution()

  - ### Method Detail

    - #### getExtension

          public java.util.List<Extension> getExtension()

      Gets the value of the extension property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the extension property.

      For example, to add a new item, do as follows:

              getExtension().add(newItem);

      Objects of the following type(s) are allowed in the list `Extension`

    - #### getMean

          public double getMean()

      Gets the value of the mean property.

    - #### setMean

          public void setMean(double value)

      Sets the value of the mean property.

    - #### getVariance

          public double getVariance()

      Gets the value of the variance property.

    - #### setVariance

          public void setVariance(double value)

      Sets the value of the variance property.